# SPDX-License-Identifier: GPL-3.0-or-later
#
# SPDX-FileCopyrightText:  2023 PeppermintOS Team  (peppermintosteam@proton.me)

#This preseed file includes configuration settings for a custom repository with the 'contrib' and 'non-free' components #enabled, as well as disabling the automatic response to the Debian popularity contest. 

# Add your custom repositories
d-i apt-setup/local0/repository string \
	http://repo.peppermintos.com/packages bookworm main contrib non-free non-free-firmware
d-i apt-setup/local0/comment string PeppermintOS repository
d-i apt-setup/local0/source boolean true

# URL to the public key of the local repository
d-i apt-setup/local0/key string http://repo.peppermintos.com/packages/conf/peppermint-keyring.gpg

# You can choose to install non-free and contrib software.
d-i apt-setup/non-free boolean true
d-i apt-setup/contrib boolean true
d-i apt-setup/non-free-firmware boolean true

# Select which update services to use; define the mirrors to be used.
# Values shown below are the normal defaults.
d-i apt-setup/services-select multiselect security, updates
d-i apt-setup/security_host string security.debian.org

# Remove popularity-contest
popularity-contest popularity-contest/participate boolean false


